> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://support.atomicwork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://support.atomicwork.com/_mcp/server.

# Create Asset

POST https://{tenant}.atomicwork.com/api/v1/assets
Content-Type: application/json

Reference: https://support.atomicwork.com/api-reference/atomicwork-public-api/assets/postapi-v-1-assets

## Authentication

- `X-Api-Key` header (required) — API Key authentication via header

## Request

### Headers

- `X-Workspace-Id` (string, optional)

### Body (application/json)

This endpoint expects an object.

- `asset_type_id` (long, required)
- `form_fields` (ApiV1AssetsPostRequestBodyContentApplicationJsonSchemaFormFields, required)
- `image_id` (long, optional)

## Response

### 200

Successful response

## Types

### ApiV1AssetsPostRequestBodyContentApplicationJsonSchemaFormFields

## Examples

**Request**

```json
{
  "asset_type_id": 0,
  "image_id": 0
}
```

**Response**

```json
{}
```

**SDK Code**

```python Assets_postapi_v1_assets_example
import requests

url = "https://{tenant}.atomicwork.com/api/v1/assets"

payload = {
    "asset_type_id": 0,
    "image_id": 0
}
headers = {
    "X-Workspace-Id": "{{workspace_id}}",
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Assets_postapi_v1_assets_example
const url = 'https://{tenant}.atomicwork.com/api/v1/assets';
const options = {
  method: 'POST',
  headers: {
    'X-Workspace-Id': '{{workspace_id}}',
    'X-Api-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"asset_type_id":0,"image_id":0}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Assets_postapi_v1_assets_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/assets"

	payload := strings.NewReader("{\n  \"asset_type_id\": 0,\n  \"image_id\": 0\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Workspace-Id", "{{workspace_id}}")
	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Assets_postapi_v1_assets_example
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/assets")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '{{workspace_id}}'
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"asset_type_id\": 0,\n  \"image_id\": 0\n}"

response = http.request(request)
puts response.read_body
```

```java Assets_postapi_v1_assets_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://{tenant}.atomicwork.com/api/v1/assets")
  .header("X-Workspace-Id", "{{workspace_id}}")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"asset_type_id\": 0,\n  \"image_id\": 0\n}")
  .asString();
```

```php Assets_postapi_v1_assets_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://{tenant}.atomicwork.com/api/v1/assets', [
  'body' => '{
  "asset_type_id": 0,
  "image_id": 0
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '{{workspace_id}}',
  ],
]);

echo $response->getBody();
```

```csharp Assets_postapi_v1_assets_example
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/assets");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Workspace-Id", "{{workspace_id}}");
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"asset_type_id\": 0,\n  \"image_id\": 0\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Assets_postapi_v1_assets_example
import Foundation

let headers = [
  "X-Workspace-Id": "{{workspace_id}}",
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "asset_type_id": 0,
  "image_id": 0
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/assets")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```